GDCM: gdcm::FileDecompressLookupTable Class Reference

GDCM 3.2.8

Public Member Functions | List of all members
gdcm::FileDecompressLookupTable Class Reference

FileDecompressLookupTable class. More...

`#include <gdcmFileDecompressLookupTable.h>`

Inheritance diagram for gdcm::FileDecompressLookupTable:
[legend]
Collaboration diagram for gdcm::FileDecompressLookupTable:
[legend]

## Public Member Functions
| FileDecompressLookupTable ()=default
| ~FileDecompressLookupTable () override=default
bool | Change ()
| Decompress.
File & | GetFile ()
Pixmap & | GetPixmap ()
const Pixmap & | GetPixmap () const
void | SetFile (const File &f)
| Set/Get File.
void | SetPixmap (Pixmap const &img)
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject () override
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Additional Inherited Members
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

FileDecompressLookupTable class.

It decompress the segmented LUT into linearized one (only PALETTE_COLOR images) Output will be a PhotometricInterpretation=RGB image

## Constructor & Destructor Documentation

## ◆ FileDecompressLookupTable()

gdcm::FileDecompressLookupTable::FileDecompressLookupTable | ( |  | ) |
| default

## ◆ ~FileDecompressLookupTable()

gdcm::FileDecompressLookupTable::~FileDecompressLookupTable | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ Change()

bool gdcm::FileDecompressLookupTable::Change | ( |  | ) |

Decompress.

## ◆ GetFile()

File & gdcm::FileDecompressLookupTable::GetFile | ( |  | ) |
| inline

## ◆ GetPixmap() [1/2]

Pixmap & gdcm::FileDecompressLookupTable::GetPixmap | ( |  | ) |
| inline

## ◆ GetPixmap() [2/2]

const Pixmap & gdcm::FileDecompressLookupTable::GetPixmap | ( |  | ) | const
| inline

## ◆ SetFile()

void gdcm::FileDecompressLookupTable::SetFile | ( | const File & | f | ) |
| inline

Set/Get File.

## ◆ SetPixmap()

void gdcm::FileDecompressLookupTable::SetPixmap | ( | Pixmap const & | img | ) |
| inline

The documentation for this class was generated from the following file:

- gdcmFileDecompressLookupTable.h